scala.collection.parallel

# AdaptiveWorkStealingForkJoinTasks

#### trait AdaptiveWorkStealingForkJoinTasks extends ForkJoinTasks with AdaptiveWorkStealingTasks

Source
  Tasks.scala

Linear Supertypes
AdaptiveWorkStealingTasks, ForkJoinTasks, HavingForkJoinPool, Tasks, AnyRef, Any
Known Subclasses
ForkJoinTaskSupport
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AdaptiveWorkStealingForkJoinTasks
2. AdaptiveWorkStealingTasks
3. ForkJoinTasks
4. HavingForkJoinPool
5. Tasks
6. AnyRef
7. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class WrappedTask[R, Tp] extends RecursiveAction with AdaptiveWorkStealingForkJoinTasks.WrappedTask[R, Tp] with AdaptiveWorkStealingForkJoinTasks.WrappedTask[R, Tp]

### Abstract Value Members

1. #### abstract val environment: ForkJoinPool

   The type of the environment is more specific in the implementations.

   The type of the environment is more specific in the implementations.

   Definition Classes
     ForkJoinTasks → Tasks

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from AdaptiveWorkStealingForkJoinTasks to any2stringadd[AdaptiveWorkStealingForkJoinTasks] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (AdaptiveWorkStealingForkJoinTasks, B)

   Implicit information
     This member is added by an implicit conversion from AdaptiveWorkStealingForkJoinTasks to ArrowAssoc[AdaptiveWorkStealingForkJoinTasks] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (AdaptiveWorkStealingForkJoinTasks) ⇒ Boolean, msg: ⇒ Any): AdaptiveWorkStealingForkJoinTasks

   Implicit information
     This member is added by an implicit conversion from AdaptiveWorkStealingForkJoinTasks to Ensuring[AdaptiveWorkStealingForkJoinTasks] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (AdaptiveWorkStealingForkJoinTasks) ⇒ Boolean): AdaptiveWorkStealingForkJoinTasks

   Implicit information
     This member is added by an implicit conversion from AdaptiveWorkStealingForkJoinTasks to Ensuring[AdaptiveWorkStealingForkJoinTasks] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): AdaptiveWorkStealingForkJoinTasks

    Implicit information
      This member is added by an implicit conversion from AdaptiveWorkStealingForkJoinTasks to Ensuring[AdaptiveWorkStealingForkJoinTasks] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): AdaptiveWorkStealingForkJoinTasks

    Implicit information
      This member is added by an implicit conversion from AdaptiveWorkStealingForkJoinTasks to Ensuring[AdaptiveWorkStealingForkJoinTasks] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def execute[R, Tp](task: Task[R, Tp]): () ⇒ R

    Executes a task and does not wait for it to finish - instead returns a future.

    Executes a task and does not wait for it to finish - instead returns a future.

    If the current thread is a fork/join worker thread, the task's `fork` method will be invoked. Otherwise, the task will be executed on the fork/join pool.

    Definition Classes
      ForkJoinTasks → Tasks

15. #### def executeAndWaitResult[R, Tp](task: Task[R, Tp]): R

    Executes a task on a fork/join pool and waits for it to finish.

    Executes a task on a fork/join pool and waits for it to finish. Returns its result when it does.

    If the current thread is a fork/join worker thread, the task's `fork` method will be invoked. Otherwise, the task will be executed on the fork/join pool.

    returns

      the result of the task

    Definition Classes
      ForkJoinTasks → Tasks

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def forkJoinPool: ForkJoinPool

    The fork/join pool of this collection.

    The fork/join pool of this collection.

    Definition Classes
      ForkJoinTasks → HavingForkJoinPool

18. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from AdaptiveWorkStealingForkJoinTasks to StringFormat[AdaptiveWorkStealingForkJoinTasks] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def newWrappedTask[R, Tp](b: Task[R, Tp]): WrappedTask[R, Tp]

    Definition Classes
      AdaptiveWorkStealingForkJoinTasks → AdaptiveWorkStealingTasks → ForkJoinTasks

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def parallelismLevel: Int

    Retrieves the parallelism level of the task execution environment.

    Retrieves the parallelism level of the task execution environment.

    Definition Classes
      ForkJoinTasks → Tasks

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from AdaptiveWorkStealingForkJoinTasks to CollectionsHaveToParArray[AdaptiveWorkStealingForkJoinTasks, T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (AdaptiveWorkStealingForkJoinTasks) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def →[B](y: B): (AdaptiveWorkStealingForkJoinTasks, B)

    Implicit information
      This member is added by an implicit conversion from AdaptiveWorkStealingForkJoinTasks to ArrowAssoc[AdaptiveWorkStealingForkJoinTasks] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AdaptiveWorkStealingTasks

### Inherited from ForkJoinTasks

### Inherited from HavingForkJoinPool

### Inherited from Tasks

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from AdaptiveWorkStealingForkJoinTasks to CollectionsHaveToParArray[AdaptiveWorkStealingForkJoinTasks, T]

### Inherited by implicit conversion any2stringadd from AdaptiveWorkStealingForkJoinTasks to any2stringadd[AdaptiveWorkStealingForkJoinTasks]

### Inherited by implicit conversion StringFormat from AdaptiveWorkStealingForkJoinTasks to StringFormat[AdaptiveWorkStealingForkJoinTasks]

### Inherited by implicit conversion Ensuring from AdaptiveWorkStealingForkJoinTasks to Ensuring[AdaptiveWorkStealingForkJoinTasks]

### Inherited by implicit conversion ArrowAssoc from AdaptiveWorkStealingForkJoinTasks to ArrowAssoc[AdaptiveWorkStealingForkJoinTasks]

### Ungrouped